/// <reference types="node" />
export declare const digestMessage: (message: string) => Buffer;
export declare const getPublicKeyFromPrivateKey: (pk: Buffer) => Buffer;
export declare const getPrivateKeyFromPhraseAndPath: (phrase: string, path: string) => Promise<Buffer>;
export interface SignedMessageWithPrivateKey {
    readonly message: string;
    readonly publicKey: Buffer;
    readonly signature: Buffer;
}
export declare const signMessageWithPrivateKey: (message: string, privateKey: Buffer) => SignedMessageWithPrivateKey;
export declare const verifyMessageWithPublicKey: ({ message, publicKey, signature, }: SignedMessageWithPrivateKey) => boolean;
export interface SignedMessage {
    readonly message: string;
    readonly publicKey: Buffer;
    readonly signature: Buffer;
}
export declare const printSignedMessage: ({ message, signature, publicKey }: SignedMessage) => string;
export declare const signAndPrintMessage: (message: string, privateKey: Buffer) => string;
export declare const signDataWithPrivateKey: (tag: string, chainID: Buffer, data: Buffer, privateKey: Buffer) => Buffer;
export declare const signData: (tag: string, chainID: Buffer, data: Buffer, privateKey: Buffer) => Buffer;
export declare const verifyData: (tag: string, chainID: Buffer, data: Buffer, signature: Buffer, publicKey: Buffer) => boolean;
