export declare const blockSchemaV2: {
    $id: string;
    type: string;
    properties: {
        header: {
            dataType: string;
            fieldNumber: number;
        };
        payload: {
            type: string;
            items: {
                dataType: string;
            };
            fieldNumber: number;
        };
    };
    required: string[];
};
export declare const blockHeaderSchemaV2: {
    $id: string;
    type: string;
    properties: {
        version: {
            dataType: string;
            fieldNumber: number;
        };
        timestamp: {
            dataType: string;
            fieldNumber: number;
        };
        height: {
            dataType: string;
            fieldNumber: number;
        };
        previousBlockID: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
        transactionRoot: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
        generatorPublicKey: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
        reward: {
            dataType: string;
            fieldNumber: number;
        };
        asset: {
            dataType: string;
            fieldNumber: number;
        };
        signature: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
    };
    required: string[];
};
export declare const legacyChainBracketInfoSchema: {
    $id: string;
    type: string;
    properties: {
        startHeight: {
            dataType: string;
            fieldNumber: number;
        };
        snapshotBlockHeight: {
            dataType: string;
            fieldNumber: number;
        };
        lastBlockHeight: {
            dataType: string;
            fieldNumber: number;
        };
    };
    required: string[];
};
