import { BaseModule, ModuleMetadata } from '../base_module';
import { GenesisBlockExecuteContext, TransactionExecuteContext, TransactionVerifyContext, VerificationResult } from '../../state_machine';
import { AuthMethod } from './method';
import { AuthEndpoint } from './endpoint';
import { RegisterMultisignatureCommand } from './commands/register_multisignature';
export declare class AuthModule extends BaseModule {
    method: AuthMethod;
    endpoint: AuthEndpoint;
    configSchema: {
        $id: string;
        type: string;
        properties: {};
    };
    commands: RegisterMultisignatureCommand[];
    constructor();
    metadata(): ModuleMetadata;
    initGenesisState(context: GenesisBlockExecuteContext): Promise<void>;
    verifyTransaction(context: TransactionVerifyContext): Promise<VerificationResult>;
    beforeCommandExecute(context: TransactionExecuteContext): Promise<void>;
}
